> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /courtlistener/dockets/search

> Search RECAP/PACER dockets by full-text query, court, party, attorney, nature of suit and date

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/courtlistener/dockets/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/courtlistener/dockets/search:
    post:
      tags:
        - /courtlistener
      summary: /courtlistener/dockets/search
      description: >-
        Search RECAP/PACER dockets by full-text query, court, party, attorney,
        nature of suit and date


        **Price:** 1 credit per 20 results
      operationId: __api_courtlistener_dockets_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CourtlistenerDocketsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourtlistenerDocket'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourtlistenerDocketsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        q:
          anyOf:
            - type: string
            - type: 'null'
        court:
          anyOf:
            - type: string
            - type: 'null'
        case_name:
          anyOf:
            - type: string
            - type: 'null'
        docket_number:
          anyOf:
            - type: string
            - type: 'null'
        party_name:
          anyOf:
            - type: string
            - type: 'null'
        attorney_name:
          anyOf:
            - type: string
            - type: 'null'
        assigned_to:
          anyOf:
            - type: string
            - type: 'null'
        referred_to:
          anyOf:
            - type: string
            - type: 'null'
        nature_of_suit:
          anyOf:
            - type: string
            - type: 'null'
        cause:
          anyOf:
            - type: string
            - type: 'null'
        filed_after:
          anyOf:
            - type: string
            - type: 'null'
        filed_before:
          anyOf:
            - type: string
            - type: 'null'
        document_number:
          anyOf:
            - type: string
            - type: 'null'
        entry_date_filed_after:
          anyOf:
            - type: string
            - type: 'null'
        entry_date_filed_before:
          anyOf:
            - type: string
            - type: 'null'
        available_only:
          anyOf:
            - type: boolean
            - type: 'null'
        order_by:
          $ref: '#/components/schemas/CourtlistenerDocketsOrder'
          default: score desc
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    CourtlistenerDocket:
      properties:
        '@type':
          type: string
          default: CourtlistenerDocket
        docket_id:
          type: integer
        case_name:
          anyOf:
            - type: string
            - type: 'null'
        case_name_full:
          anyOf:
            - type: string
            - type: 'null'
        docket_number:
          anyOf:
            - type: string
            - type: 'null'
        court:
          anyOf:
            - type: string
            - type: 'null'
        court_id:
          anyOf:
            - type: string
            - type: 'null'
        court_citation_string:
          anyOf:
            - type: string
            - type: 'null'
        assigned_to:
          anyOf:
            - type: string
            - type: 'null'
        assigned_to_id:
          anyOf:
            - type: integer
            - type: 'null'
        referred_to:
          anyOf:
            - type: string
            - type: 'null'
        referred_to_id:
          anyOf:
            - type: integer
            - type: 'null'
        suit_nature:
          anyOf:
            - type: string
            - type: 'null'
        cause:
          anyOf:
            - type: string
            - type: 'null'
        jurisdiction_type:
          anyOf:
            - type: string
            - type: 'null'
        jury_demand:
          anyOf:
            - type: string
            - type: 'null'
        chapter:
          anyOf:
            - type: string
            - type: 'null'
        trustee_str:
          anyOf:
            - type: string
            - type: 'null'
        pacer_case_id:
          anyOf:
            - type: string
            - type: 'null'
        parties:
          items:
            type: string
          type: array
          default: []
        party_ids:
          items:
            type: integer
          type: array
          default: []
        attorneys:
          items:
            type: string
          type: array
          default: []
        attorney_ids:
          items:
            type: integer
          type: array
          default: []
        firms:
          items:
            type: string
          type: array
          default: []
        firm_ids:
          items:
            type: integer
          type: array
          default: []
        recap_documents:
          items:
            $ref: '#/components/schemas/CourtlistenerRecapDocument'
          type: array
          default: []
        filed_at:
          anyOf:
            - type: integer
            - type: 'null'
        argued_at:
          anyOf:
            - type: integer
            - type: 'null'
        terminated_at:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - docket_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourtlistenerDocketsOrder:
      type: string
      enum:
        - score desc
        - dateFiled desc
        - dateFiled asc
    CourtlistenerRecapDocument:
      properties:
        '@type':
          type: string
          default: CourtlistenerRecapDocument
        id:
          type: integer
        docket_entry_id:
          anyOf:
            - type: integer
            - type: 'null'
        document_number:
          anyOf:
            - type: string
            - type: 'null'
        attachment_number:
          anyOf:
            - type: integer
            - type: 'null'
        document_type:
          anyOf:
            - type: string
            - type: 'null'
        short_description:
          anyOf:
            - type: string
            - type: 'null'
        entry_number:
          anyOf:
            - type: integer
            - type: 'null'
        pacer_doc_id:
          anyOf:
            - type: string
            - type: 'null'
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_available:
          type: boolean
          default: false
        filepath_local:
          anyOf:
            - type: string
            - type: 'null'
        snippet:
          anyOf:
            - type: string
            - type: 'null'
        cites:
          items:
            type: integer
          type: array
          default: []
        entry_filed_at:
          anyOf:
            - type: integer
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````